MSWText.cxx File Reference
`#include <algorithm>`
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <fstream>`
`#include <libwpd/libwpd.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWContentListener.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWTable.hxx"`
`#include "MSWParser.hxx"`
`#include "MSWStruct.hxx"`
`#include "MSWText.hxx"`

## Classes

struct | MSWTextInternal::TextStruct
| Internal: the entry of MSWParser. More...
struct | MSWTextInternal::TextStruct::CompareFilePos
| a struct used to compare file textpos More...
struct | MSWTextInternal::Page
| Internal: the page. More...
struct | MSWTextInternal::Footnote
| Internal: the footnote. More...
struct | MSWTextInternal::Field
| Internal: the field of MSWParser. More...
struct | MSWTextInternal::Property
| Internal: a list of plc. More...
struct | MSWTextInternal::Line
| Internal and low level: a structure to store a line or a cell of a MSWText. More...
struct | MSWTextInternal::Table
| Internal and low level: a structure to store a table of a MSWText. More...
struct | MSWTextInternal::State
| Internal: the state of a MSWParser. More...

## Namespaces

| MSWTextInternal
| Internal: the structures of a MSWText.

## Macros

#define | DEBUG_FONT 1
#define | DEBUG_PLC 1
#define | DEBUG_PAGE 1
#define | DEBUG_PARAGRAPH 1
#define | DEBUG_SECTION 1
#define | DEBUG_PARAGRAPHINFO 1

## Functions

static std::fstream & | MSWTextInternal::debugFile2 ()
| internal and low level: defined a second debug file More...
std::ostream & | operator<< (std::ostream &o, MSWText::PLC const &plc)

## Macro Definition Documentation

#define DEBUG_FONT 1

#define DEBUG_PAGE 1

#define DEBUG_PARAGRAPH 1

#define DEBUG_PARAGRAPHINFO 1

#define DEBUG_PLC 1

#define DEBUG_SECTION 1

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | MSWText::PLC const & | plc
| ) |  |